<?php

namespace App\Models;

use App\Traits\Models\BaseModelTrait;

class MailLog extends BaseModel
{
    use BaseModelTrait;

    protected $cachePrefix = "mail-log";
    protected $table = 'mail_logs';
    protected $fillable = [
        'to',
        'cc',
        'bcc',
        'from_name',
        'from_address',
        'message_reply_to',
        'subject',
        'layout',
        'body',
        'sent_at',
    ];

    /* =========================================================================
    * Relationship
    * =========================================================================
    */

    /* =========================================================================
    * Scope
    * =========================================================================
    */

    /* =========================================================================
    * Accessor & Mutator
    * =========================================================================
    */

    /* =========================================================================
    * Other
    * =========================================================================
    */
}
